Bug 1204274 - Package doesn't comply with emacs packaging guidelines
Summary: Package doesn't comply with emacs packaging guidelines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-03-20 18:33 UTC by Jonathan Underwood
Modified: 2015-07-03 18:39 UTC (History)
3 users (show)

Fixed In Version: autoconf-2.69-20.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-03 18:39:49 UTC


Attachments (Terms of Use)
Patch to comply with emacs packaging guidelines (1.89 KB, patch)
2015-03-21 12:40 UTC, Jonathan Underwood
no flags Details | Diff
comply with emacs PG (2.67 KB, patch)
2015-03-23 09:36 UTC, Pavel Raiskup
no flags Details | Diff

Description Jonathan Underwood 2015-03-20 18:33:12 UTC
Description of problem:
Currently this package doesn't comply with the emacs packaging guidelines.

It should:

(1) Require emacs-filesystem

(2) Put autoconf-mode.el[c] and autotest-mode.el[c] under their own sub-directory(ies) under /usr/share/emacs/site-lisp

(3) Package shouldn't be owning %dir %{_datadir}/emacs/ and %{_datadir}/emacs/site-lisp/

See: http://fedoraproject.org/wiki/Packaging:Emacs

Version-Release number of selected component (if applicable):
autoconf-2.69-15.fc20.noarch
but also rawhide.

Comment 1 Pavel Raiskup 2015-03-20 19:32:32 UTC
(In reply to Jonathan Underwood from comment #0)
> Currently this package doesn't comply with the emacs packaging guidelines.

Jonathan, thanks for the report!

> Version-Release number of selected component (if applicable):
> autoconf-2.69-15.fc20.noarch
> but also rawhide.

I would prefer having this fixed in f22+ only, if you agree.  This is an issue
but it does not hurt too much to do autoconf respin in stable fedora's, at
least IMO.

Pavel

Comment 2 Jonathan Underwood 2015-03-20 19:34:43 UTC
(In reply to Pavel Raiskup from comment #1)
> (In reply to Jonathan Underwood from comment #0)
> > Currently this package doesn't comply with the emacs packaging guidelines.
> 
> Jonathan, thanks for the report!
> 

No worries, thanks for taking the time to look at it.

> > Version-Release number of selected component (if applicable):
> > autoconf-2.69-15.fc20.noarch
> > but also rawhide.
> 
> I would prefer having this fixed in f22+ only, if you agree.  This is an
> issue
> but it does not hurt too much to do autoconf respin in stable fedora's, at
> least IMO.

That seems entirely reasonable to me.

Comment 4 Jonathan Underwood 2015-03-20 22:09:19 UTC
OK, so that commit fixes points (1) and (3), leaving point (2).

So, I think there needs to be a directory /usr/share/emacs/site-lisp/autoconf
which contains autoconf-mode.el[c] and autotest-mode.el[d]. That directory needs to be owned by the autoconf directory.

In addition, it's probably worthwhile also having a file 

/usr/share/emacs/site-lisp/site-start.d/autoconf-init.el 

which contains

;; Activate autoconf-mode
(autoload 'autoconf-mode "autoconf-mode"
          "Major mode for editing autoconf files." t)
(setq auto-mode-alist
      (cons '("\\.ac\\'\\|configure\\.in\\'" . autoconf-mode)
            auto-mode-alist))

;; Activate autotest-mode
(autoload 'autotest-mode "autotest-mode"
         "Major mode for editing autotest files." t)
(setq auto-mode-alist
      (cons '("\\.at\\'" . autotest-mode) auto-mode-alist))

[EOF]
so that these modes are automatically available.

Comment 5 Jonathan Underwood 2015-03-21 12:40:13 UTC
Created attachment 1004838 [details]
Patch to comply with emacs packaging guidelines

Comment 6 Fedora Update System 2015-03-21 13:13:57 UTC
autoconf-2.69-18.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/autoconf-2.69-18.fc22

Comment 7 Pavel Raiskup 2015-03-21 23:45:57 UTC
Jonathan, looking at emacs packaging guidelines - you seem to be right.
I'll try to review the patch and commit soon.  Thanks!

Comment 8 Fedora Update System 2015-03-22 04:33:56 UTC
Package autoconf-2.69-18.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing autoconf-2.69-18.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4393/autoconf-2.69-18.fc22
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-03-23 07:11:26 UTC
autoconf-2.69-18.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Pavel Raiskup 2015-03-23 09:36:43 UTC
Created attachment 1005270 [details]
comply with emacs PG

I slightly modified the spec patch and I'm ready to push, however, I'm not an
emacs user, TBH, and..

I can see that by this we replace what GNU emacs chooses as the default for
Autoconf files.  Are there some benefits of having used Autoconf's files
rather than GNU Emacs default?  Based on [1], the emacs's autoconf-mode seem
to be more featured (but again, I'm not correct person to compare).  This is
different story for autotest mode, of course (at least ATM).

[1] http://www.emacswiki.org/emacs/AutoconfMode

Comment 11 Jonathan Underwood 2015-03-24 08:59:51 UTC
Hi Pavel - yes, I think you're right, it is preferable to stick to using the autoconf.el mode bundled with core emacs by default. What I would recommend is to still include the stuff to activate the autoconf-model.el mode in autoconf-init.el, but leave it commented out with a note that it's disabled in favour of the one bundled in emacs. Then a system administrator who waants to use the autoconf-mode.el can uncomment those lines. That will also make any future maintainers of this package think twice before enabling the mode in the package.

Comment 12 Fedora Update System 2015-06-26 11:26:54 UTC
autoconf-2.69-20.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/autoconf-2.69-20.fc22

Comment 13 Fedora Update System 2015-06-26 20:32:58 UTC
Package autoconf-2.69-20.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing autoconf-2.69-20.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10796/autoconf-2.69-20.fc22
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-07-03 18:39:49 UTC
autoconf-2.69-20.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.